Package org.drinkless.tdlib

# Class TdApi.TelegramPaymentPurposePremiumGiftCodes

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TelegramPaymentPurpose
org.drinkless.tdlib.TdApi.TelegramPaymentPurposePremiumGiftCodes

Enclosing class:
  `TdApi`

public static class TdApi.TelegramPaymentPurposePremiumGiftCodes extends TdApi.TelegramPaymentPurpose
The user boosting a chat by creating Telegram Premium gift codes for other users.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.TelegramPaymentPurpose

  `TdApi.TelegramPaymentPurpose.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `amount`
  Paid amount, in the smallest units of the currency.
  `long`
  `boostedChatId`
  Identifier of the supergroup or channel chat, which will be automatically boosted by the users for duration of the Premium subscription and which is administered by the user.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `currency`
  ISO 4217 currency code of the payment currency.
  `int`
  `monthCount`
  Number of months the Telegram Premium subscription will be active for the users.
  `TdApi.FormattedText`
  `text`
  Text to show along with the gift codes; 0-getOption("gift_text_length_max") characters.
  `long[]`
  `userIds`
  Identifiers of the users which can activate the gift codes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TelegramPaymentPurposePremiumGiftCodes()`
  The user boosting a chat by creating Telegram Premium gift codes for other users.
  `TelegramPaymentPurposePremiumGiftCodes(long boostedChatId, String currency, long amount, long[] userIds, int monthCount, TdApi.FormattedText text)`
  The user boosting a chat by creating Telegram Premium gift codes for other users.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### boostedChatId

    public long boostedChatId
    Identifier of the supergroup or channel chat, which will be automatically boosted by the users for duration of the Premium subscription and which is administered by the user.

  - ### currency

    public String currency
    ISO 4217 currency code of the payment currency.

  - ### amount

    public long amount
    Paid amount, in the smallest units of the currency.

  - ### userIds

    public long[] userIds
    Identifiers of the users which can activate the gift codes.

  - ### monthCount

    public int monthCount
    Number of months the Telegram Premium subscription will be active for the users.

  - ### text

    public TdApi.FormattedText text
    Text to show along with the gift codes; 0-getOption("gift_text_length_max") characters. Only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, and DateTime entities are allowed.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TelegramPaymentPurposePremiumGiftCodes

    public TelegramPaymentPurposePremiumGiftCodes()
    The user boosting a chat by creating Telegram Premium gift codes for other users.

  - ### TelegramPaymentPurposePremiumGiftCodes

    public TelegramPaymentPurposePremiumGiftCodes(long boostedChatId, String currency, long amount, long[] userIds, int monthCount, TdApi.FormattedText text)
    The user boosting a chat by creating Telegram Premium gift codes for other users.
    Parameters:
      `boostedChatId` - Identifier of the supergroup or channel chat, which will be automatically boosted by the users for duration of the Premium subscription and which is administered by the user.
      `currency` - ISO 4217 currency code of the payment currency.
      `amount` - Paid amount, in the smallest units of the currency.
      `userIds` - Identifiers of the users which can activate the gift codes.
      `monthCount` - Number of months the Telegram Premium subscription will be active for the users.
      `text` - Text to show along with the gift codes; 0-getOption("gift_text_length_max") characters. Only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, and DateTime entities are allowed.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.TelegramPaymentPurpose`
    Returns:
      this.CONSTRUCTOR